# 联系方式

- 姓名：刘爽/男/1997/Java
- 意向：合肥、杭州
- 电话：17730014137
- 邮箱：jkwlstv@outlook.com

<a target='_blank' href='http://117.50.220.191:8418/doc/me/src/branch/main/%E5%88%98%E7%88%BD%E7%9A%84%E4%B8%AA%E4%BA%BA%E7%AE%80%E5%8E%86.pdf'>查看并下载PDF简历</a>

# 个人介绍

我具有良好的沟通协作能力、良好的编码习惯、丰富的排障经验。理解MySQL的B+Tree索引结构设计的好处，了解MVCC在RC、RR隔离级别下的工作机制。能够在合适的业务场景下，使用Redis作为缓存数据库降低对MySQL的压力。能够合理的利用Redisson封装的分布式锁API保障分布式环境下的线程安全。有通过RocketMQ构建高吞吐量应用的架构设计经验，在过往的工作经历中，采用RocketMQ异步化调用外部服务，避免外部服务超时或其他原因不可用造成的阻塞，降低系统的可用性。有Seata分布式事务中间件和RocketMQ事务消息与项目集成的落地经验。能够用Shell脚本在Linux环境下完成应用的发布，会基本的Dockerfile编写。能够用Prometheus、Skywalking观测并排查生产环境中的问题。最近在学习通过JFR事件来持续监控jvm运行时的状态和异常，还有高版本Java引入的新功能，比如利用虚拟线程提高tomcat并发能力及相关注意事项等。

# 工作经历

## 上海兴岩科技有限公司（2023/07~至今）

职位：Java开发

工作内容：参与迭代需求评审、文档编写、代码开发、单元测试、问题排查及修复。项目中使用到了MySQL、Redis、Kafka、Nacos、Feign、Spring Boot、Spring Cloud、Activity等。MySQL 1主1从部署，Redis 单机部署，Nacos 管理服务上下线和配置文件，使用ApiSix网关管理微服务之间的鉴权，各微服务之间通过Feign进行通信，用 Kafka 实现异步通信。

## 江苏普飞科特信息科技有限公司（2019/07~2023/05）

职位：开发组长（5人）

工作内容：参与迭代需求评审、编写技术方案文档、协调各方并带领小组完成开发任务，以及生产环境的故障巡查及修复。项目里用到了MySQL、Redis、Rocket MQ、Nacos、Apollo(携程配置中心）、Feign、Spring Boot、Spring Cloud、Seata，MySQL 1主1从部署，Redis 单机部署，主要用于分布式缓存和分布式锁，Nacos 管理服务上下线，Apollo 管理配置文件，各微服务之间使用Feign进行通信。使用 Seata（AT模式）协调分布式事务，但是由于 AT 模式基于 MySQL 表记录前后SQL快照，所以并发量不高。在并发量较大的业务，使用 Rocket MQ 协调事务。Rocket MQ 除了用于分布式事务还用于服务间异步通信，以及时序数据的数据同步，比如结合canal订阅MySQL的binlog同步到ES。

架构设计：利用Rocket MQ、MySQl、Redis、多线程等技术，构建稳定高效的消息中心服务，主要包含邮件、短信、外呼电话、隐私号、APP推送，并接入Prometheus、SkyWalking监测服务运行时状态。

## 上海柏维信息技术有限公司（2017/05~2019/06）

职位：Java开发

工作内容：参与日常迭代开发和相关文档的编写，按时完成领导交办的任务。项目中用到了Activity、MySQL、Oracle、Redis、Bootstrap、jQuery、SpringMVC等。